---
title: My Experience with Apple
template: blog
page_dir: /blog/2023/11/my-experience-with-apple/
---

# My Experience with Apple

Okay, we have some stuff to get into here

\

Let\'s start with a few things right off the bat

I have been an Android user all my life, I\'ve never owned an iPhone before early September 2023

I very much like the design of iPhones, from how the hardware is (usually) designed, to how the home screen is designed, to how the icons look, to the animations and their fluidity

To TL;DR that, I like how they look, always have

\

That\'s not to say that I don\'t have my issues with iOS, and Apple\'s stuff in general

For starters, iOS is a closed-source operating system

One cannot simply look at the source code of it, make and contribute changes, and if so desired, redistribute their own spin of it

Another point of contention I\'ve always had with Apple\'s devices, and one reason it took me so long to purchase an iPhone, is the cost

That\'s not to say that everything that isn\'t an iPhone is like half the price of one, but compared to the price of something like a Google Pixel 4a (which, by the way, something more privacy respecting like GrapheneOS or CalyxOS can be put on), it\'s quite a bit more (and yes, I am well aware of the iPhone SEs, which have roughly only been about `$50` USD more than Google\'s [Pixel a] series phones)

Customization was another point of contention, however as my age steadily increases, I find that I want to fiddle with things less frequently, and like to have something that works for me and I don\'t have to mess around with all the time

Anyways, that\'s enough griping for the time being, let\'s get into my actual experiences with Apple\'s stuff

## I Got... an iPhone?!

I purchased an iPhone XR off of someone I know for a very generous `$100 USD` at the beginning of September this year (the going rate at the time was around `$220 USD`), with the intended purpose of using it as an appliance for it\'s better facial tracking via the Face ID camera system compared to an Android camera or a stand alone webcam for my VTubing activities (which I swear I will get back into at some point!)

Since I had just acquired this device, and I had never really had the chance to toy around with an iPhone before, I decided that I would try using it for a bit, to see what the experience is like, and to see if how I like having things setup would translate well onto an iPhone (plus, I wanted to be able to test some things out, like XMPP clients for iOS, so I can better recommend those types of things to people that use an iPhone compared to an Android device)

## Initial Fiddling with the Device

First off, allow me to get this out of the way: If you primarily use a Linux computer, and especially if you do not have a Windows or macOS machine in your home, forget about plugging the iPhone into your PC and doing anything with it

It can be done, somewhat, but trust me, save yourself the headache, it ain\'t worth it in my opinion

The first real issue, for me, that I ran into with trying to setup this iPhone like a daily driver was that the experience with trying to use a KeePass database for password management is... less than desirable

I ended up setting up Bitwarden and importing my KeePass database into it (which was really easy, by the by), and quite frankly, the experience of using Bitwarden on an iPhone, and even an Android device for that matter, is pretty sweet

Bitwarden on a Linux PC, at least in my use, leaves a small bit to be desired compared to using KeePassXC, primarily in the auto-typing category (or seemingly lack-there-of), but overall I actually enjoy using Bitwarden

## Starting to Use an iPhone

I decided that, since I wanted to try using my newly acquired iPhone XR as a daily driver, I\'d try using some of the conveniences that come with it, that I have avoided their contemporaries on other devices

So, I setup Face ID unlocking, and might I just say, it works REALLY nicely, and something I didn\'t know about, is that if you aren\'t looking right at the device, even if your face is pointed at it, it will not unlock the thing until you actually look at it, so that\'s a nice little touch that I was unaware of

I also put some of my cards in Apple Wallet, because it had been AGES since I last used tap-to-pay on a phone, due to using custom Android ROMs for the past few years without any of the Google-y bits, and let me just say, I missed tap-to-pay

\

Since I was unable to get my downloaded music collection onto the iPhone via the means I had available and was willing to do, I decided to give Apple Music a try, since I could get a one month free trial of it

It\'s perfectly fine, no real qualms with it, aside from the usual "I don\'t have any ownership of this music whatsoever and any given song, album, or artist can be ripped right out from under me at any given moment" stuff, but that\'s how I feel about all streaming platforms

I\'d say I definitely prefer it to Spotify, because 1) it\'s more privacy respecting in comparison, and 2) I\'m still bitter at Spotify for removing SCANDAL for a period of time, and they can go piss in a river for all I care

## Where is She Now?

Well... okay hear me out here

So I\'ve now been using an iPhone as my primary mobile computing device for just shy of two months, and quite frankly... I rather enjoy it

I have just recently purchased a brand new (pink!) iPhone 15, along with a brand new (also pink!) Apple Watch Series 9 (and a pink case and watchband as well!)

I have honestly come to enjoy using an iPhone, and am finding real value in what Apple has on offer, especially when one starts to possess multiple Apple devices (in my case, an iPhone and an Apple Watch)

I am leaning more into the convenience side of them, most definitely, and quite frankly I am finding actual joy in doing so and feel that it is providing actual value for me

I am still maintaining using essential services outside of Apple\'s ecosystem though, such as continuing to use Nextcloud for my contacts, calendar, and cloud storage, and Bitwarden versus iCloud Keychain for my passwords

Raivo, with any syncing turned off, has been my choice for a TOTP 2FA app

The Dynamic Island on the iPhone 15 is actually pretty nice, nothing groundbreaking, but what it does bring to the table is rather pleasant

\

I also rather like the Apple Watch

The haptic feedback wen turning the crown feels nice, the ability to easily find the phone that it\'s paired to if you misplace it is really nice to have, the fact that I can use Apple Pay with it instead of having to pull out my phone is really convenient, plus, and this is a major one here folks, I can spy on the kitties in Neko Atsume with it!

## Are You Done Yet?

Mostly `(#^-^#)\`

\

Seriously though, I am finding that these things are bringing some serious value to me, even with all of things about them that annoy me

iOS isn\'t open-source; the only way to install apps without "jailbreaking" is through the App Store, which requires you to have an Apple ID, which I think asks for WAY too much personal information up front; without a Windows or macOS computer, you can pretty much forget about doing virtually anything that you\'d be used to with an Android device, and even then you still lose out in comparison in that field

However, those gripes of mine are almost certainly not going to matter to most people, and to be frank, I\'d sooner trust Apple with my shit than Google, Amazon, or Facebook/Meta

\

Anyways, I like using an iPhone now, I like the Apple Watch, I enjoy the conveniences they bring, I very well may end up sticking with Apple\'s stuff long-term, these things are making me happy

Don\'t shame people for using things that aren\'t the most private or secure, be practical when you are trying to help people with that type of stuff

I hope you enjoyed reading this, apologies for everything being kinda everywhere, I\'ll catch ya in the next one!

### Software Recommendations for the iPhone

- Raivo (TOTP 2FA)
- Bitwarden (password management)
- Monal/Siskin IM (XMPP)
- Firefox Focus (general web browsing)
- Brave (for using YouTube with a lot of the features of having YouTube Premium, without the downsides of having the actual app (TL;DR a more privacy respecting way to use YouTube))
- Neko Atsume: Kitty Collector (for seeing cute kitties!)
